#!/bin/bash

if [ "$REQUEST_METHOD" = "POST" ]; then
        read QUERY_STRING
        REQUEST_METHOD=GET
        export REQUEST_METHOD
        export QUERY_STRING
fi

LOGDIR="/usr/local/root/flash/http/log"

function whichmonth () {
        case $1 in
                01/)
                        MONTHTXT="January"
                        ;;
                02/)
                        MONTHTXT="February"
                        ;;
                03/)
                        MONTHTXT="March"
                        ;;
                04/)
                        MONTHTXT="April"
                        ;;
                05/)
                        MONTHTXT="May"
                        ;;
                06/)
                        MONTHTXT="June"
                        ;;
                07/)
                        MONTHTXT="July"
                        ;;
                08/)
                        MONTHTXT="August"
                        ;;
                09/)
                        MONTHTXT="September"
                        ;;
                10/)
                        MONTHTXT="October"
                        ;;
                11/)
                        MONTHTXT="November"
                        ;;
                12/)
                        MONTHTXT="December"
                        ;;
        esac
}

echo -ne "Content-type: text/html\r\nCache-Control: no-cache\r\nExpires: -1\r\n\r\n"

cat ../http/index/carel.inc.html

echo "    <table class=maintable>"
for i in $(ls -1rF $LOGDIR/ | grep /); do
        YEAR=${i%_*}
        MONTH=${i##*_}
        whichmonth $MONTH
        echo "      <tr><td class=month colspan=\"3\"><span class=monthtext>$MONTHTXT $YEAR</span></td></tr>"
        cd $LOGDIR/$i
        FILES=$(ls -1r *csv* 2>/dev/null)
        for a in $FILES; do
                FILENAME=${a%%.*}
                echo -n "      <tr><td class=day>\_ <span class=daytext>$FILENAME $MONTHTXT $YEAR</span></td><td class=csv><a href=\"logdownload.cgi?dir=$i\$file=$a\">Data</a></td>"
                if [ -f "${FILENAME}-graph_1.bmp" ]; then
                        echo -n "<td class=bitmap><a href=\"logdownload.cgi?dir=$i\$file=${FILENAME}-graph_1.bmp\">Bmp</a></td>"
                else
                        echo -n "<td class=bitmap></td>"
                fi
                if [ -f "${FILENAME}-vgraph.svg" ]; then
                        echo -n "<td class=svg><a href=\"logdownload.cgi?dir=$i\$file=${FILENAME}-vgraph.svg\">Svg</a></td>"
                else
                        echo -n "<td class=svg></td>"
                fi
                echo "    </tr>"
        done
        cd -
done
echo "    </table>"

cat ../http/index/carel.bottom.html